> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/case/get-case.md).

# Get case

## GET /public/v1/helpdesk/cases/{id}

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5843-g491c2e59"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/helpdesk/cases/{id}":{"get":{"tags":["SupportCases"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"select","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportCase"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SupportCase":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/SupportCaseAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"chat":{"allOf":[{"$ref":"#/components/schemas/Chat"}],"description":"Represents the chat this support case is coupled with."},"reporter":{"allOf":[{"$ref":"#/components/schemas/Contact"}],"description":"Represents the Mpt.Helpdesk.Models.Notifications.Contact who is reporting this issue."},"assignee":{"allOf":[{"$ref":"#/components/schemas/Contact"}],"description":"Represents the Mpt.Helpdesk.Models.Notifications.Contact to whom this case is currently assigned. It can be null if the case is unassigned.","nullable":true},"account":{"allOf":[{"$ref":"#/components/schemas/Account"}],"description":"Represents the account context of the Mpt.Helpdesk.Models.Cases.SupportCase.Reporter."},"queue":{"allOf":[{"$ref":"#/components/schemas/Queue"}],"description":"Queue to which this case is currently assigned."},"status":{"allOf":[{"$ref":"#/components/schemas/SupportCaseStatus"}],"description":"The status of the support case."},"queryPrompt":{"type":"string","description":"The prompt that is set along with setting the Mpt.Helpdesk.Models.Cases.SupportCase.Status to Mpt.Helpdesk.Models.Cases.SupportCaseStatus.Querying","nullable":true},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/SupportCaseParameter"},"description":"Represents the parameter values in the case."}},"additionalProperties":false},"SupportCaseAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"processed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"queried":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"transferred":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"completed":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"Chat":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","description":"Gets or sets the description associated with the chat.","nullable":true},"type":{"allOf":[{"$ref":"#/components/schemas/ChatType"}],"description":"Represents the type of chat, indicating whether it is a direct message, group chat, channel, or support case."},"participants":{"type":"array","items":{"$ref":"#/components/schemas/ChatParticipantRef"},"description":"Represents the participants in the chat."},"lastMessage":{"type":"object","allOf":[{"$ref":"#/components/schemas/ChatMessageRef"}]},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/ChatAttachmentRef"},"description":"Represents the attachments associated with the chat."}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ChatType":{"enum":["Direct","Group","Channel","Case"],"type":"string"},"ChatParticipantRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"muted":{"type":"boolean","description":"Flag indicates whether participant should be notified of new messages in the chat."},"status":{"allOf":[{"$ref":"#/components/schemas/ParticipantStatus"}],"description":"Represents the status of the chat participant, indicating whether they are active, suspended, or exited."}},"additionalProperties":false},"ParticipantStatus":{"enum":["Active","Exited","Deactivated"],"type":"string"},"ChatMessageRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"content":{"type":"string","description":"Content of the chat message."},"visibility":{"allOf":[{"$ref":"#/components/schemas/MessageVisibility"}],"description":"Visibility of the chat message, indicating whether it is public or private."},"isDeleted":{"type":"boolean","description":"Set to true when the message should be considered deleted"}},"additionalProperties":false},"MessageVisibility":{"enum":["Public","Private"],"type":"string"},"ChatAttachmentRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"file":{"allOf":[{"$ref":"#/components/schemas/File"}],"description":"Represents the file this attachment belongs to."}},"additionalProperties":false},"File":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/FileType"}],"description":"Specifies the type of the file, such as attachment or icon"},"filename":{"type":"string","description":"Represents the name of the file associated with the attachment."},"size":{"type":"integer","description":"Indicates the size of the file in bytes.","format":"int64","nullable":true},"contentType":{"type":"string","description":"Represents the MIME type of the file content."}},"additionalProperties":false,"description":"Represents a file in the helpdesk module"},"FileType":{"enum":["Attachment","Icon","Image","Video"],"type":"string"},"Contact":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ContactAudit"}],"description":"Represents audit information for a Mpt.Notifications.Models.Contacts.Contact."},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"blockedReason":{"type":"string","nullable":true},"email":{"type":"string"},"status":{"type":"string"},"identity":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}],"nullable":true},"directories":{"type":"array","items":{"$ref":"#/components/schemas/Directory"},"nullable":true},"chat":{"type":"boolean"},"optOuts":{"type":"array","items":{"$ref":"#/components/schemas/Category"},"description":"Gets or sets the list of categories for which this contact has opted out of receiving notifications.","nullable":true},"user":{"allOf":[{"$ref":"#/components/schemas/User"}],"description":"Gets or sets the associated user information, if this contact is linked to a platform user.","nullable":true}},"additionalProperties":false,"description":"Represents a notification contact who can receive email notifications."},"ContactAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the contact was activated.","nullable":true},"blocked":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the contact was blocked.","nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the contact was deleted.","nullable":true}},"additionalProperties":false,"description":"Represents audit information for a Mpt.Notifications.Models.Contacts.Contact."},"PlatformIdentity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"Directory":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"account":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"origin":{"allOf":[{"$ref":"#/components/schemas/Account"}],"nullable":true},"type":{"type":"string"},"contacts":{"type":"array","items":{"$ref":"#/components/schemas/Contact"}}},"additionalProperties":false},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupRef"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"UserGroupRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"Category":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/NotificationCategoryAudit"}],"description":"Represents audit information for a Mpt.Notifications.Models.Categories.Category."},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","description":"Gets or sets the description of the category."},"optOutAllowed":{"type":"boolean","description":"Gets or sets a value indicating whether recipients can opt out of notifications in this category."},"status":{"type":"string","description":"Gets or sets the current status of the category."},"note":{"type":"string","description":"Gets or sets an optional note about the category.","nullable":true},"deleteAllowed":{"type":"boolean","description":"Gets or sets a value indicating whether this category can be deleted."},"statistics":{"allOf":[{"$ref":"#/components/schemas/MessageStatistics"}],"description":"Gets or sets the message statistics for this category."},"lastUsed":{"type":"string","description":"Gets or sets the timestamp of when this category was last used to send a notification.","format":"date-time","nullable":true},"enabledByDefault":{"type":"boolean","description":"Gets or sets a value indicating whether this category is enabled by default for new recipients."}},"additionalProperties":false,"description":"Represents a notification category that can be used to organize and filter notifications."},"NotificationCategoryAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the category was published.","nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the category was unpublished.","nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Gets or sets the event information for when the category was deleted.","nullable":true}},"additionalProperties":false,"description":"Represents audit information for a Mpt.Notifications.Models.Categories.Category."},"MessageStatistics":{"type":"object","properties":{"month":{"type":"integer","description":"Gets or sets the number of messages sent in the current month.","format":"int32"},"today":{"type":"integer","description":"Gets or sets the number of messages sent today.","format":"int32"},"week":{"type":"integer","description":"Gets or sets the number of messages sent in the current week.","format":"int32"}},"additionalProperties":false,"description":"Represents message statistics aggregated over different time periods."},"User":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/UserAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"email":{"type":"string"},"status":{"type":"string"},"phone":{"allOf":[{"$ref":"#/components/schemas/PhoneNumber"}],"nullable":true},"firstName":{"type":"string"},"lastName":{"type":"string"},"lastLoginAt":{"type":"string","format":"date-time","nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/UserSettings"}],"nullable":true},"accounts":{"type":"array","items":{"$ref":"#/components/schemas/AccountRef"}},"currentAccount":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]}},"additionalProperties":false},"UserAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"invitationAcceptedAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PhoneNumber":{"type":"object","properties":{"prefix":{"type":"string","nullable":true},"number":{"type":"string","nullable":true}},"additionalProperties":false},"UserSettings":{"type":"object","properties":{"cultureCode":{"type":"string"},"dateFormat":{"type":"string","nullable":true},"languageCode":{"type":"string"},"numberFormat":{"allOf":[{"$ref":"#/components/schemas/NumberFormat"}],"nullable":true},"timeFormat":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true},"optOuts":{"allOf":[{"$ref":"#/components/schemas/UserSettingsOptOuts"}],"nullable":true}},"additionalProperties":false},"NumberFormat":{"type":"object","properties":{"decimalSeparator":{"type":"string"},"groupSeparator":{"type":"string"}},"additionalProperties":false},"UserSettingsOptOuts":{"type":"object","properties":{"objectTypes":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"Queue":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/QueueAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"longDescription":{"type":"string","description":"Gets or sets the long description associated with the queue."},"shortDescription":{"type":"string","description":"Gets or sets the short description associated with the queue."},"externalId":{"type":"string","description":"Gets or sets the optional external identifier associated with the queue.","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/QueueStatus"}],"description":"Gets or sets the status of the queue."},"default":{"type":"boolean","description":"Indicates whether this queue is the default queue."},"internal":{"type":"boolean","description":"Indicates whether this queue is internal."},"account":{"allOf":[{"$ref":"#/components/schemas/Account"}],"description":"Gets or sets the account associated with the queue."},"statistics":{"allOf":[{"$ref":"#/components/schemas/QueueStatistics"}],"description":"Gets or sets helpful statistics about the use of the queue."},"isDeleted":{"type":"boolean","description":"Indicates whether the queue has been marked as deleted."}},"additionalProperties":false},"QueueAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"disabled":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"QueueStatus":{"enum":["Disabled","Active"],"type":"string"},"QueueStatistics":{"type":"object","properties":{"totalCases":{"type":"integer","format":"int32"},"openCases":{"type":"integer","format":"int32"}},"additionalProperties":false},"SupportCaseStatus":{"enum":["Processing","Querying","Completed"],"type":"string"},"SupportCaseParameter":{"type":"object","properties":{"id":{"type":"string","description":"Gets or sets the unique identifier for the parameter."},"name":{"type":"string","description":"Gets or sets the name of the parameter."},"externalId":{"type":"string","description":"Gets or sets the external identifier for the parameter, if applicable.","nullable":true},"type":{"allOf":[{"$ref":"#/components/schemas/ParameterType"}],"description":"Gets or sets the type of the parameter."},"multiple":{"type":"boolean","description":"Indicates whether this parameter accepts multiple values.\nWhen true, Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value is a JSON array."},"constraints":{"allOf":[{"$ref":"#/components/schemas/HelpdeskConstraints"}],"description":"Gets or sets the helpdesk-specific constraints for the parameter.\nTreated as a primitive type for RQL queries."},"displayOrder":{"type":"integer","description":"Gets or sets the formatted display order of the parameter for UI presentation.","format":"int32"},"value":{"allOf":[{"$ref":"#/components/schemas/JsonNode"}],"description":"Gets or sets the actual value of the parameter as a JSON element.\nThis is a core property for RQL queries."},"displayValue":{"type":"string","description":"Gets or sets the human-readable display representation of Mpt.Helpdesk.Models.Cases.SupportCaseParameter.Value.","nullable":true}},"additionalProperties":false,"description":"Represents a parameter associated with a support case in the helpdesk system."},"ParameterType":{"enum":["SingleLineText","MultiLineText","Address","Contact","Checkbox","Choice","Subdomain","Heading","DropDown","Email","DataObject","Date"],"type":"string"},"HelpdeskConstraints":{"type":"object","properties":{"hidden":{"type":"boolean","nullable":true},"readonly":{"type":"boolean","nullable":true},"required":{"type":"boolean","nullable":true},"capacity":{"allOf":[{"$ref":"#/components/schemas/CapacitySettings"}],"nullable":true},"visibility":{"allOf":[{"$ref":"#/components/schemas/VisibilityMode"}],"description":"The visibility mode controlling who can see the parameter","nullable":true}},"additionalProperties":false,"description":"Constraints specific to helpdesk parameters"},"CapacitySettings":{"type":"object","properties":{"min":{"type":"integer","format":"int32"},"max":{"type":"integer","format":"int32"}},"additionalProperties":false},"VisibilityMode":{"enum":["All","OnlyMyAccount"],"type":"string","description":"Defines who can see the parameter in the helpdesk system."},"JsonNode":{"type":"object","properties":{"options":{"allOf":[{"$ref":"#/components/schemas/JsonNodeOptions"}],"nullable":true,"readOnly":true},"parent":{"allOf":[{"$ref":"#/components/schemas/JsonNode"}],"nullable":true,"readOnly":true},"root":{"allOf":[{"$ref":"#/components/schemas/JsonNode"}],"readOnly":true}},"additionalProperties":false},"JsonNodeOptions":{"type":"object","properties":{"propertyNameCaseInsensitive":{"type":"boolean"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/case/get-case.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
